# Get Users

> GET /v1/users

`GET https://app.untetherlabs.com/api/v1/users`

Search for registered users in the Untether app.

<Note>Users are a superset of [Providers](/reference/v1/providers/get-providers),
but providers are used for most platform operations. Users and providers share
the same IDs, but not all users have an associated provider.</Note>

This endpoint is paginated. See /using-the-api/pagination.

## Request

```bash
curl -X GET 'https://app.untetherlabs.com/api/v1/users' \
  -H 'Authorization: Bearer $UNTETHER_API_KEY'
```

## Query parameters

- `type` (UserType[], default ["user"], one of `user`, `bot`)
- `status` (EmploymentStatus[], default ["onboarding","active"], one of `onboarding`, `active`, `dismissed`, `unmanaged`)
- `name` (string, max length 50) — Case-insensitive partial matching name search string
- `pageSize` (number, default 20, min 1, max 200)
- `cursor` (string)

## Response 200

- `items` (User[], required)
  - `type` (UserType, required, one of `user`, `bot`)
  - `name` (string, required)
  - `email` (string, required)
  - `status` (EmploymentStatus, required, one of `onboarding`, `active`, `dismissed`, `unmanaged`)
  - `isAdmin` (boolean, required)
- `cursor` (string)

## Errors

- `validation` (400) — Input validation failed.
